Create a type certificate
curl --request POST \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/type-certificate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"name": "<string>",
"street": "<string>",
"countryCode": "<string>",
"zipCode": "<string>",
"city": "<string>"
},
"owner": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/type-certificate"
payload = {
"address": {
"name": "<string>",
"street": "<string>",
"countryCode": "<string>",
"zipCode": "<string>",
"city": "<string>"
},
"owner": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
name: '<string>',
street: '<string>',
countryCode: '<string>',
zipCode: '<string>',
city: '<string>'
},
owner: '<string>',
description: '<string>'
})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/type-certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": {
"name": "<string>",
"street": "<string>",
"countryCode": "<string>",
"zipCode": "<string>",
"city": "<string>"
},
"owner": "<string>",
"description": "<string>",
"blob": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
}Type certificate
Create a type certificate
Create a type certificate for the specified vehicle
POST
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
type-certificate
Create a type certificate
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3Id of vehicle
Body
application/json
Information about the to be created type certificate
Response
The created type certificate
⌘I

